# Contributing Guidelines

Thanks for taking the time to contribute!

The following is a set of guidelines for contributing to susi_desktop. These are just guidelines, not rules, so use your best judgement and feel free to propose changes to this document in a pull request.

## Getting Started

susi_desktop app is built on top of [Electron](http://electron.atom.io/). If you are new to Electron, please head over to [this](http://jlord.us/essential-electron/) great article.

## Community

* If you have any questions regarding susi_desktop, open an [issue](https://github.com/fossasia/susi_desktop/issues/new) or ask it on [gitter](https://gitter.im/fossasia/susi_desktop).

## Issue
Ensure the bug was not already reported by searching on GitHub under [issues](https://github.com/fossasia/susi_desktop/issues). If you're unable to find an open issue addressing the bug, open a [new issue](https://github.com/fossasia/susi_desktop/issues/new).

Please pay attention to the following points while opening an issue.

#### Does it happen on web browsers? (especially Chrome)
susi_desktop is based on Electron, which integrates the Chrome engine within a standalone application.
If the problem you encounter can be reproduced on web browsers, it may be an issue with [susi web app](https://chat.susi.ai/).

#### Write detailed information
Detailed information is very helpful to understand an issue.

For example:
* How to reproduce the issue, step-by-step.
* The expected behavior (or what is wrong).
* Screenshots for GUI issues.
* The application version.
* The operating system.


## Pull Requests
Pull Requests are always welcome. 

Ensure the PR description clearly describes the problem and solution. It should include:  

* The operating system on which you tested.  
* The relevant issue number, if applicable.  
